libgxps 缓冲区错误漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1125954 漏洞类型 缓冲区错误
发布时间 2018-05-07 更新时间 2019-10-08
CVE编号 CVE-2018-10733 CNNVD-ID CNNVD-201805-183
漏洞平台 N/A CVSS评分 4.3
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201805-183
|漏洞详情
libgxps是一个基于GObject(一种基于C语言的框架)的用于处理XPS文档的库。 libgxps 0.3.0及之前版本中的gxps-fonts.c文件的‘ft_font_face_hash’函数存在基于堆的缓冲区溢出漏洞。远程攻击者可借助特制的输入利用该漏洞造成拒绝服务。
|参考资料

来源:bugzilla.redhat.com
链接:https://bugzilla.redhat.com/show_bug.cgi?id=1574844